/* 
 * Copyright (C) 2004 Darren Hutchinson (dbh@gbdt.com.au)
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU Library General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or (at your
 * option) any later version.
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
 * or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU Library General Public
 * License for more details.
 * 
 * You should have received a copy of the GNU Library General Public License
 * along with this software; see the file COPYING.  If not, write to
 * the Free Software Foundation, Inc., 59 Temple Place - Suite 330, Boston,
 * MA 02111-1307, USA. 
 *
 * $Id: pguide.h,v 1.1.1.1 2004/02/22 08:12:42 dbh Exp $
 */
#ifndef _PGUIDE_H_
#define _PGUIDE_H_

/* This file has the definitions used to poll the parallel guiding input
 * pins.
 *
 * These pins are pulled high by the internal CPU pullups and should be
 * driven low by the guiding input
 */
#define GUIDE_PORT      PORTD
#define GUIDE_PIN       PIND
#define GUIDE_DDR       DDRD

#define G_UP            PD4
#define G_DN            PD5
#define G_RT            PD6
#define G_LT            PD7

/* Define the polling rate (in HZ). For the current software the
 * range is 30Hz to 7800Hz @ 8 MHz, and 60Hz to 15KHz @ 16MHz.
 *
 * A good value would be about 200 Hz (ie. 5ms debounce time)
 */
#define GUIDE_RATE      200

/* Prototypes */
void pguideInit(void);

#endif /* _PGUIDE_H_ */
